summaryrefslogtreecommitdiff
path: root/cpp/tests/topictest
diff options
context:
space:
mode:
authorAlan Conway <aconway@apache.org>2007-01-09 16:55:27 +0000
committerAlan Conway <aconway@apache.org>2007-01-09 16:55:27 +0000
commit09e50608a0db021570db41194abc56b49fb2562d (patch)
tree4f955d4a19c1758275732ec8a3032a83f94bd2fa /cpp/tests/topictest
parentfd88a6ddb9bc813286089558a22732f03410b79c (diff)
downloadqpid-python-09e50608a0db021570db41194abc56b49fb2562d.tar.gz
Automated C++ client_test and topictest.
Andrew Stitcher: patch to change hardcoded 8-0 version numbers to 0-9. git-svn-id: https://svn.apache.org/repos/asf/incubator/qpid/branches/qpid.0-9@494483 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'cpp/tests/topictest')
-rwxr-xr-xcpp/tests/topictest20
1 files changed, 8 insertions, 12 deletions
diff --git a/cpp/tests/topictest b/cpp/tests/topictest
index d68a8c81da..b2c7e57b41 100755
--- a/cpp/tests/topictest
+++ b/cpp/tests/topictest
@@ -1,7 +1,10 @@
#!/bin/bash
# Run the C++ topic test
-# Defaults
+# Clean up old log files
+rm -f subscriber_*.log
+
+# Defaults values
SUBSCRIBERS=10
MESSAGES=2000
BATCHES=10
@@ -19,13 +22,8 @@ while getopts "s:m:b:" opt ; do
done
subscribe() {
- ID=$1
- echo "subscriber $ID"
- ./topic_listener > subscriber.$ID 2>&1 || {
- echo "SUBSCRIBER %ID FAILED: " ;
- cat subscriber.$ID
- }
- rm subscriber.$ID
+ LOG="subscriber_$1.log"
+ ./topic_listener > $LOG 2>&1 && rm -f $LOG
}
publish() {
@@ -35,7 +33,5 @@ publish() {
for ((i=$SUBSCRIBERS ; i--; )); do
subscribe $i &
done
-sleep 1
-STATS=~/bin/topictest.times
-echo "---- topictest `date`" >> $STATS
-publish | tee -a $STATS
+
+publish 2>&1 || exit 1